These vulns within ME are very serious and Intel better have a good fix for them, even for those older machines from the likes of Dell, HP, Lenovo et...